<div class="select__group select__group--icon">
  <label *ngIf="mbLabelText != null" class="input__label" [innerHTML]="mbLabelText"></label>
  <div [class]="inputGroupGroupClass">
    <em *ngIf="mbSelectIcon != null" nz-icon [nzType]="mbSelectIcon" nzTheme="outline"></em>
    <nz-select [nzClearIcon] = "clearIcon" class="select__select select__select--one {{mbSelectIcon != null ? 'include__icon' : 'no__icon'}}" [nzMode]="mbMode" style="width: 100%" [nzShowSearch]="mbShowSearch"
               [nzAllowClear]="mbShowClear" [nzPlaceHolder]="mbPlaceholder" [nzLoading]="mbIsLoading" [nzOptionHeightPx]="mbOptionHeightPx" [nzOptionOverflowSize]="mbOptionOverflowSize"
               [nzDisabled]="mbDisable" [nzDropdownClassName]="mbDropdownClassName" (nzOnSearch)="onSearch($event)" [nzServerSearch]="mbServerSearch"
               [(ngModel)]="itemSelectedValue" (ngModelChange)="selectItem($event)" [(nzOpen)]="isOpenOptions">
      <nz-option class="select__option" *ngFor="let dataSelect of mbDataSelects" [nzLabel]="dataSelect[mbKeyLabel]"
                 [nzValue]="mbKeyValueStringType ? (dataSelect[mbKeyValue]+'') : dataSelect[mbKeyValue]" [nzDisabled]="dataSelect[mbDisabled]">
      </nz-option>
    </nz-select>
  </div>
  <div *ngIf="textMessageValue !== null && mbShowError" [class]="inputMessageClass">
    <em *ngIf="mbShowIconMessage" nz-icon [nzType]="iconType" nzTheme="outline"></em>
    <span class="text__message">{{textMessageValue}}</span>
  </div>
</div>
<ng-template #clearIcon>
  <em nz-icon nzType="close" nzTheme="outline" (click)="clearValue()"></em>
</ng-template>
